package com.chenyang.nse.bussiness.entity.orm.table.core.dataproject;

import com.chenyang.nse.bussiness.entity.orm.table.console.TConsoleSearchregex;
import java.util.List;

public class TCoreProjectAllrule {
   private String dataarea_id;
   private String dataareaname;
   private String rulestyle;
   private String checkstyle;
   private String rule_id;
   private String rulename;
   private String isdefault;
   private String note;
   private String example;
   private List<TConsoleSearchregex> regexlist;

   public String getDataarea_id() {
      return this.dataarea_id;
   }

   public void setDataarea_id(String dataarea_id) {
      this.dataarea_id = dataarea_id;
   }

   public String getRulestyle() {
      return this.rulestyle;
   }

   public void setRulestyle(String rulestyle) {
      this.rulestyle = rulestyle;
   }

   public String getCheckstyle() {
      return this.checkstyle;
   }

   public void setCheckstyle(String checkstyle) {
      this.checkstyle = checkstyle;
   }

   public String getRule_id() {
      return this.rule_id;
   }

   public void setRule_id(String rule_id) {
      this.rule_id = rule_id;
   }

   public String getRulename() {
      return this.rulename;
   }

   public void setRulename(String rulename) {
      this.rulename = rulename;
   }

   public String getDataareaname() {
      return this.dataareaname;
   }

   public void setDataareaname(String dataareaname) {
      this.dataareaname = dataareaname;
   }

   public String getIsdefault() {
      return this.isdefault;
   }

   public void setIsdefault(String isdefault) {
      this.isdefault = isdefault;
   }

   public String getNote() {
      return this.note;
   }

   public void setNote(String note) {
      this.note = note;
   }

   public String getExample() {
      return this.example;
   }

   public void setExample(String example) {
      this.example = example;
   }

   public List<TConsoleSearchregex> getRegexlist() {
      return this.regexlist;
   }

   public void setRegexlist(List<TConsoleSearchregex> regexlist) {
      this.regexlist = regexlist;
   }
}
